eoSGAGenOp(3)

NAME
eoSGAGenOp - *************************************************************************** eoSGAGenOp (for Simple GA) mimicks the usual crossover with proba pCross + mutation with proba pMut inside an eoGeneralOp It does it exactly as class eoSGATransform, i.e.

SYNOPSIS

#include <eoSGAGenOp.h>

Inherits eoGenOp< EOT >< EOT >.

  Public Member Functions
eoSGAGenOp (eoQuadOp< EOT > &_cross, double _pCross, eoMonOp< EOT > &_mut, double _pMut)
Ctor from crossover (with proba) and mutation (with proba) Builds the sequential op that first applies a proportional choice between the crossover and nothing (cloning), then the mutation.
virtual void apply (eoPopulator< EOT > &_pop)
do the job: delegate to op
virtual unsigned max_production (void)
inherited from eoGenOp
virtual std::string className () const

  Private Attributes
eoQuadOp< EOT > & cross
double pCross
eoMonOp< EOT > & mut
double pMut
eoProportionalOp< EOT > propOp
eoQuadCloneOp< EOT > quadClone
eoSequentialOp< EOT > op

Detailed Description

  template<class EOT> class eoSGAGenOp< EOT >
*************************************************************************** eoSGAGenOp (for Simple GA) mimicks the usual crossover with proba pCross + mutation with proba pMut inside an eoGeneralOp It does it exactly as class eoSGATransform, i.e. only accepts quadratic crossover and unary mutation It was introduced for didactic reasons, but seems to be popular :-)

Definition at line 44 of file eoSGAGenOp.h.

Author

Generated automatically by Doxygen for EO from the source code.